Delete a step group
DELETE
/projects/{project_id}/step_groups/{step_group_id}Base URL
https://arcus.testsigma.com/api/v1Permanently deletes a specific step group from a project.
Authenticate with your API key as a
Bearer token in the Authorization header. How to authenticate →Path parameters
project_id | Unique identifier of the project the step group will be deleted from. |
step_group_id | Identifier of the step group to delete. |
Response attributes
(empty) | Returns 204 No Content on success. No response body. |
Request
curl -X DELETE \
'https://arcus.testsigma.com/api/v1/projects/{project_id}/step_groups/{step_group_id}' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json'const response = await fetch('https://arcus.testsigma.com/api/v1/projects/{project_id}/step_groups/{step_group_id}', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer <API_KEY>',
'Content-Type': 'application/json'
}
});
const data = await response.json();import requests
response = requests.delete(
'https://arcus.testsigma.com/api/v1/projects/{project_id}/step_groups/{step_group_id}',
headers={
'Authorization': 'Bearer <API_KEY>',
'Content-Type': 'application/json'
}
)
data = response.json()Response204 No Content
nullWas this page helpful?
Thanks for the feedback.